Create a saved query
- Base URL
-
https://{kibana_url}
-
POST
/api/osquery/saved_queries
-
POST
/s/{space_id}/api/osquery/saved_queries
Auth
Create and run a saved query.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
description
string
-
The saved query description.
-
ecs_mapping
map string to object
-
Map osquery results columns or static values to Elastic Common Schema (ECS) fields
-
<string>
object
-
-
field
string
-
The ECS field to map to.
-
value
union string | string[]
-
The value to map to the ECS field.
-
id
string
-
The ID of a saved query.
-
interval
string
-
An interval, in seconds, on which to run the query.
-
platform
string
-
Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example, linux,darwin.
-
query
string
-
The SQL query you want to run.
-
removed
boolean
-
Indicates whether the query is removed.
-
snapshot
boolean
-
Indicates whether the query is a snapshot.
-
version
string
-
Uses the Osquery versions greater than or equal to the specified version string.
Thank you for your feedback.